/*
 * Copyright (C) 2003 by Christian Lauer.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * If you didn't download this code from the following link, you should check if
 * you aren't using an obsolete version:
 * http://sourceforge.net/projects/ujac
 */
 
package org.ujac.util.text.test;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Name: AllTextTests<br>
 * Description: Test suite for all tests for package org.ujac.util.text.
 * 
 * @author lauerc
 */
public class AllTextTests extends TestSuite {

  /**
   * Constructs a AllTextTests instance with specific attributes.
   * @param name The name of the new test suite.
   */
  public AllTextTests(String name) {
    super(name);
    
    addTestSuite(SmartDecimalFormatTest.class);
  }

  /**
   * Creates a new instance of the test suite.
   * @return The created test suite.
   */
  public static Test suite() {
    return new AllTextTests("Tests for package org.ujac.util.text");
  }

}
